[Résolu] Erreur à la mise à jour d’une page (Créer un compte)

  • WordPress :6.4
  • Statut : résolu
8 sujets de 1 à 8 (sur un total de 8)
  • Auteur
    Messages
  • #2471370
    Grandfred
    Participant
    Initié WordPress
    5 contributions

    Bonjour,

    Ma configuration WP actuelle

    • Version de PHP : 8.0.3
    • Version de WordPress : 6.5.2
    • Thème utilisé : Hemingway
    • Extensions en place : Advanced Editor Tools, Akismet Anti-spam: Spam Protection, Classic Editor, Elementor, Gutenberg, H5P, Jetpack, Loco Translate, Mammoth .docx converter, Material Design for Contact Form 7, Max Mega Menu, myStickymenu, NextGEN Gallery, Post Tags and Categories for Pages, Post Type Switcher, qrcode_wprhe, SiteOrigin CSS, Spectra, TablePress, WP Sitemap Page, wp-Typography, YourChannel
    • Nom de l’hébergeur : NUXIT
    • Adresse du site : https://technomitron.aainb.com/

    Problème(s) rencontré(s) :

    Tout d’abord, j’ai reçu un mail envoyé par mon site
    Bonjour !

    WordPress dispose d’une fonctionnalité native permettant de détecter si une extension ou un thème cause une erreur fatale sur votre site, et vous notifie avec cet e-mail automatique.

    Ici, WordPress a trouvé une erreur avec l’une de vos extensions, « Elementor ».

    ensuite, je suis allé voir et pas de problème visible en front.
    Par contre dès que je modifie une page, avec une modification simple comme ajout d’un retour à la ligne j’ai cette erreur :

    Fatal error: Uncaught Error: Call to a member function set_is_built_with_elementor() on bool in /home/www/_wp_technomitron/wp-content/plugins/elementor/core/admin/admin.php:271 Stack trace: #0 /home/www/_wp_technomitron/wp-includes/class-wp-hook.php(326): ElementorCoreAdminAdmin->save_post(0) #1 /home/www/_wp_technomitron/wp-includes/class-wp-hook.php(348): WP_Hook->apply_filters(NULL, Array) #2 /home/www/_wp_technomitron/wp-includes/plugin.php(517): WP_Hook->do_action(Array) #3 /home/www/_wp_technomitron/wp-includes/post.php(4828): do_action(‘save_post’, 0, Object(WP_Post), false) #4 /home/www/_wp_technomitron/wp-includes/revision.php(380): wp_insert_post(Array, true) #5 /home/www/_wp_technomitron/wp-includes/revision.php(217): _wp_put_post_revision(Array) #6 /home/www/_wp_technomitron/wp-includes/revision.php(116): wp_save_post_revision(1610) #7 /home/www/_wp_technomitron/wp-includes/class-wp-hook.php(326): wp_save_post_revision_on_insert(1610, Object(WP_Post), true) #8 /home/www/_wp_technomitron/wp-includes/class-wp-hook.php(348): WP_Hook->apply_filters( », Array) #9 /home/www/_wp_technomitron/wp-includes/plugin.php(517): WP_Hook->do_action(Array) #10 /home/www/_wp_technomitron/wp-includes/post.php(5549): do_action(‘wp_after_insert…’, 1610, Object(WP_Post), true, Object(WP_Post)) #11 /home/www/_wp_technomitron/wp-includes/post.php(4842): wp_after_insert_post(Object(WP_Post), true, Object(WP_Post)) #12 /home/www/_wp_technomitron/wp-includes/post.php(4930): wp_insert_post(Array, false, true) #13 /home/www/_wp_technomitron/wp-admin/includes/post.php(453): wp_update_post(Array) #14 /home/www/_wp_technomitron/wp-admin/post.php(227): edit_post() #15 {main} thrown in /home/www/_wp_technomitron/wp-content/plugins/elementor/core/admin/admin.php on line 271
    Une erreur critique est survenue sur ce site. Veuillez consulter la boite de réception de l’e-mail d’administration de votre site pour plus d’informations.

    Pour l’instant je n’ai pas de problème visible mais je suis inquiet par rapport à ces erreurs.

    En vous remerciant

    #2471495
    momofr@free.fr
    Modérateur
    Maître WordPress
    7006 contributions

    Salut, la première chose que je testerais c’est un passage en PHP8.1 ou plutôt 8.2.

    PHP8.0 est connu pour poser des problèmes.

    #2471508
    Grandfred
    Participant
    Initié WordPress
    5 contributions

    Bonjour,

    merci pour ta réponse.

    Je suis confus, ma version de php n’est pas 8.0.3 mais 8.3, désolé.

    #2471523
    momofr@free.fr
    Modérateur
    Maître WordPress
    7006 contributions

    Salut, Ok du coup redescend en 8.2 pour voir. 8.3 est très récent et pas mal d’extension ont encore des soucis avec cette version, ça marche très bien avec des configurations très légères en extensions.

    #2471528
    Grandfred
    Participant
    Initié WordPress
    5 contributions

    J’ai descendu la version en 8.2, j’ai toujours la même erreur.

    #2471531
    momofr@free.fr
    Modérateur
    Maître WordPress
    7006 contributions
    Cette réponse a été marquée comme privée.
    #2471545
    Grandfred
    Participant
    Initié WordPress
    5 contributions

    Merci beaucoup pour le temps passé.

    C’était un conflit entre Classic Editor et Gutenberg.

    En désactivant l’un des deux le problème est résolu.

    #2471551
    momofr@free.fr
    Modérateur
    Maître WordPress
    7006 contributions

    Salut, pour clore ce sujet :

    • Si vous souhaitez garder l’éditeur classique de WordPress installez Classic Editor
    • Par défaut WordPress propose Gutenberg (pas la dernière version)
    • Si vous souhaitez disposer des dernières fonctions de Gutenberg installez l’extension disponible sur le repo WP

    N’installez pas les deux extensions car cela rentre en conflit.

8 sujets de 1 à 8 (sur un total de 8)
  • Vous devez être connecté pour répondre à ce sujet.